PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Employee

Overview

The Employee object includes personal and employment details for employees in an organisation. Contractor details are also included in this object, and contractor-specific fields will only be returned for contractors. A contractor is identified by the independent_contractor field, and contractor-specific fields will be documented with the label: Contractor

Returns an array of all employees. Every employees must be managed by your managed organisation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees

Path Parameters

organisation_iduuidrequired

The ID of the organisation to get employees

Query Parameters

member_typestring

Optional filter: employee or contractor; omit to get both

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an array of up to the limit of employees. Each entry in the array is a separate employee object. If there are no more employees belonging to your organisation, the resulting array will be empty.

dataobject
itemsobject[]
iduuid

Unique identifier for the object.

account_emailstring

The account name of employee

titlestring

The title of employee

rolestring

The role of employee

first_namestring

The first name of employee

last_namestring

The last name of employee

middle_namestring

The middle name of employee

addressstring

The address of employee

avatar_urlstring

The avatar url of employee

known_asstring

The preferred name of the employee

job_titlestring

The job title of the employee

genderstring

The gender of the employee

countrystring

The country of the employee

date_of_birthdatetime

The date of birth of employee

marital_statusstring

The marital status of employee

personal_emailstring

The personal email of employee

personal_mobile_numberstring

The personal mobile number of employee

home_phonestring

The home phone of employee

employing_entitystring

The employing entity of employee

codestring

The code of employee

locationstring

The location of employee

company_emailstring

The company email of employee

company_mobilestring

The company mobile of employee

company_landlinestring

The company landline of employee

start_datedatetime

The start date of employee

termination_datedatetime

The termination day of employee

teamsobject[]

The teams of employee

Note

This field corresponds to 'Groups' in the Employment Hero UI.

primary_cost_centreobject

The primary cost centre of employee

secondary_cost_centresobject[]

The secondary cost centre of employee

primary_managerobject

The primary manager of employee

secondary_managerobject

The secondary manager of employee

external_idstring

The external id of employee (ID of payroll system)

statusenum<string>

The status of employee

termination_summarystring

The detailed termination summary of a terminated employee, including reason, date, and actioning user

employment_typestring

The employment type of employee. Valid types depend on the employee's region. Common values: Full-time, Part-time, Casual

typical_work_daystring

Typical hours worked per day.

rosterstring

Work-hours roster type.

trial_or_probation_typestring

The trial or probation period type of employee. Supported values are trial_period and probation_period

trial_lengthnumber

The trial period length in days of employee when trial_or_probation_type is trial_period

probation_lengthnumber

The probation period length in months of an employee when trial_or_probation_type is probation_period

global_teams_start_datestring

The start date of the Global Teams employee

global_teams_probation_end_datestring

The probation end date of the Global Teams employee

independent_contractorboolean

Indicates if the member is an independent contractor

trading_namestring
Contractor

Contractor trading name

abnstring
Contractor

Australian Business Number of the contractor

business_detailobject
Contractor

Contractor business registration details

uk_tax_and_national_insuranceobject
Contractor
🇬🇧 UK

UK–specific tax and national-insurance information

emailstring

Primary email address of the employee (alias of account_email).

full_legal_namestring
🇲🇾 MY
🇸🇬 SG

Employee's complete registered legal name.

legal_namestring
🇲🇾 MY
🇸🇬 SG

Registered (legal) name of the employee, excluding preferred or known-as names.

full_namestring

Convenience field that concatenates first, middle and last name.

pronounsstring

Employee-provided pronouns (e.g. she/her, they/them).

display_mobile_in_staff_directoryboolean

Whether the employee's mobile number is visible in the staff directory.

aboriginal_torres_strait_islanderboolean
🇦🇺 AU

Identifies as Aboriginal and/or Torres Strait Islander.

previous_surnamestring
🇳🇿 NZ

The previous family name of the employee.

biographystring

Short bio or "about me" text shown in company directory.

instapay_referral_opted_outboolean

Indicates the employee has opted out of Instapay referral communications.

work_countrystring

Country in which the employee primarily works.

payroll_typestring

Payroll engine / product the employee belongs to (e.g. KeyPay, Xero, Global Teams).

time_zonestring

IANA time-zone identifier for the employee (e.g. Asia/Singapore).

nationalitystring

Nationality of the employee (ISO-3166 alpha-2 code).

residential_addressobject
🇳🇿 NZ

Residential address of the employee

postal_addressobject
🇳🇿 NZ

Postal address of the employee

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1",        "account_email": "daniel@thinkei.com",        "title": "Ms",        "role": "owner",        "first_name": "Daniel",        "last_name": "Tran",        "middle_name": "Tuan",        "address": "Test Street 184752, Apt 8B, Sydney, NSW, 2000, AU",        "avatar_url": "http://avatar.png",        "known_as": "Danny",        "job_title": "Grad Developer",        "gender": "Female",        "country": "AU",        "date_of_birth": "1995-02-13T00:00:00+00:00",        "marital_status": "Single",        "personal_email": "abc@thinkei.com",        "personal_mobile_number": "01285659993",        "home_phone": "02 9123 4567",        "employing_entity": "US",        "code": "EMP123",        "location": null,        "company_email": "abc@thinkei.com",        "company_mobile": "0412 345 678",        "company_landline": "02 8181 1234",        "start_date": "2017-03-01T00:00:00+00:00",        "termination_date": null,        "teams": [          {            "id": "95df8139-479f-432e-b8f9-922352123e4a",            "name": "Group 1"          },          {            "id": "95df8139-479f-432e-b8f9-112352123e4a",            "name": "Group 2"          }        ],        "primary_cost_centre": {          "id": "95df8139-479f-432e-b8f9-922352d2fe4a",          "name": "Employment Hero"        },        "secondary_cost_centres": [],        "primary_manager": {          "id": "4a728243-8930-4a93-9bd8-a6843e7b59ec",          "name": "Jessica"        },        "secondary_manager": null,        "external_id": "external_id_123",        "status": "active",        "termination_summary": null,        "employment_type": "Full-time",        "typical_work_day": "7.6",        "roster": "Annual",        "trial_or_probation_type": "probation_period",        "trial_length": 30,        "probation_length": 3,        "global_teams_start_date": "01/01/2025",        "global_teams_probation_end_date": "01/03/2025",        "independent_contractor": false,        "trading_name": "Emma Frost Consulting",        "abn": "12345678901",        "business_detail": {          "country": "AU",          "number": "BN-987654",          "business_type": "sole_trader"        },        "uk_tax_and_national_insurance": {          "id": "uk-tni-1",          "unique_taxpayer_reference": "1234567890",          "national_insurance_number": "QQ123456C"        },        "email": "daniel@thinkei.com",        "full_legal_name": "Daniel Tuan Tran",        "legal_name": "Tran Tuan Daniel",        "full_name": "Daniel Tran",        "pronouns": "she/her",        "display_mobile_in_staff_directory": true,        "aboriginal_torres_strait_islander": false,        "previous_surname": "Tran",        "biography": "Graduate developer passionate about clean code and football.",        "instapay_referral_opted_out": false,        "work_country": "AU",        "payroll_type": "KeyPay",        "time_zone": "Australia/Sydney",        "nationality": "AU",        "residential_address": {          "address_type": "residential",          "line_1": "Test Street 184752",          "line_2": "Apt 8B",          "line_3": null,          "block_number": "184",          "level_number": "8",          "unit_number": "B",          "city": "SYDNEY",          "postcode": "2000",          "state": "NSW",          "suburb": "Barangaroo",          "country": "AU",          "is_residential": true,          "street_name": "Test Street",          "is_manually_entered": false        },        "postal_address": {          "address_type": "postal",          "line_1": "PO Box 999",          "line_2": null,          "line_3": null,          "block_number": null,          "level_number": null,          "unit_number": null,          "city": "SYDNEY",          "postcode": "2001",          "state": "NSW",          "suburb": "Barangaroo",          "country": "AU",          "is_residential": false,          "street_name": "PO Box",          "is_manually_entered": false        }      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 1,    "total_pages": 1  }}

Contractor-only fields

{  "data": {    "items": [      {        "trading_name": "Emma Frost Consulting",        "abn": "12345678901",        "business_detail": {          "country": "AU",          "number": "BN-987654",          "business_type": "sole_trader"        },        "uk_tax_and_national_insurance": {          "id": "uk-tni-1",          "unique_taxpayer_reference": "1234567890",          "national_insurance_number": "QQ123456C"        }      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 1,    "total_pages": 1  }}

This endpoint retrieves a specific employee.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:id

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

iduuidrequired

The ID of the employee to retrieve

Response Body

dataobject
iduuid

Unique identifier for the object.

account_emailstring

The account name of employee

titlestring

The title of employee

rolestring

The role of employee

first_namestring

The first name of employee

last_namestring

The last name of employee

middle_namestring

The middle name of employee

addressstring

The address of employee

avatar_urlstring

The avatar url of employee

known_asstring

The preferred name of the employee

job_titlestring

The job title of the employee

genderstring

The gender of the employee

countrystring

The country of the employee

date_of_birthdatetime

The date of birth of employee

marital_statusstring

The marital status of employee

personal_emailstring

The personal email of employee

personal_mobile_numberstring

The personal mobile number of employee

home_phonestring

The home phone of employee

employing_entitystring

The employing entity of employee

codestring

The code of employee

locationstring

The location of employee

company_emailstring

The company email of employee

company_mobilestring

The company mobile of employee

company_landlinestring

The company landline of employee

start_datedatetime

The start date of employee

termination_datedatetime

The termination day of employee

teamsobject[]

The teams of employee

Note

This field corresponds to 'Groups' in the Employment Hero UI.

primary_cost_centreobject

The primary cost centre of employee

secondary_cost_centresobject[]

The secondary cost centre of employee

primary_managerobject

The primary manager of employee

secondary_managerobject

The secondary manager of employee

external_idstring

The external id of employee (ID of payroll system)

statusenum<string>

The status of employee

termination_summarystring

The detailed termination summary of a terminated employee, including reason, date, and actioning user

employment_typestring

The employment type of employee. Valid types depend on the employee's region. Common values: Full-time, Part-time, Casual

typical_work_daystring

Typical hours worked per day.

rosterstring

Work-hours roster type.

trial_or_probation_typestring

The trial or probation period type of employee. Supported values are trial_period and probation_period

trial_lengthnumber

The trial period length in days of employee when trial_or_probation_type is trial_period

probation_lengthnumber

The probation period length in months of an employee when trial_or_probation_type is probation_period

global_teams_start_datestring

The start date of the Global Teams employee

global_teams_probation_end_datestring

The probation end date of the Global Teams employee

independent_contractorboolean

Indicates if the member is an independent contractor

trading_namestring
Contractor

Contractor trading name

abnstring
Contractor

Australian Business Number of the contractor

business_detailobject
Contractor

Contractor business registration details

uk_tax_and_national_insuranceobject
Contractor
🇬🇧 UK

UK–specific tax and national-insurance information

emailstring

Primary email address of the employee (alias of account_email).

full_legal_namestring
🇲🇾 MY
🇸🇬 SG

Employee's complete registered legal name.

legal_namestring
🇲🇾 MY
🇸🇬 SG

Registered (legal) name of the employee, excluding preferred or known-as names.

full_namestring

Convenience field that concatenates first, middle and last name.

pronounsstring

Employee-provided pronouns (e.g. she/her, they/them).

display_mobile_in_staff_directoryboolean

Whether the employee's mobile number is visible in the staff directory.

aboriginal_torres_strait_islanderboolean
🇦🇺 AU

Identifies as Aboriginal and/or Torres Strait Islander.

previous_surnamestring
🇳🇿 NZ

The previous family name of the employee.

biographystring

Short bio or "about me" text shown in company directory.

instapay_referral_opted_outboolean

Indicates the employee has opted out of Instapay referral communications.

work_countrystring

Country in which the employee primarily works.

payroll_typestring

Payroll engine / product the employee belongs to (e.g. KeyPay, Xero, Global Teams).

time_zonestring

IANA time-zone identifier for the employee (e.g. Asia/Singapore).

nationalitystring

Nationality of the employee (ISO-3166 alpha-2 code).

residential_addressobject
🇳🇿 NZ

Residential address of the employee

postal_addressobject
🇳🇿 NZ

Postal address of the employee

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:id" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1",    "account_email": "daniel@thinkei.com",    "title": "Ms",    "role": "owner",    "first_name": "Daniel",    "last_name": "Tran",    "middle_name": "Tuan",    "address": "Test Street 184752, Apt 8B, Sydney, NSW, 2000, AU",    "avatar_url": "http://avatar.png",    "known_as": "Danny",    "job_title": "Grad Developer",    "gender": "Female",    "country": "AU",    "date_of_birth": "1995-02-13T00:00:00+00:00",    "marital_status": "Single",    "personal_email": "abc@thinkei.com",    "personal_mobile_number": "01285659993",    "home_phone": "02 9123 4567",    "employing_entity": "US",    "code": "EMP123",    "location": null,    "company_email": "abc@thinkei.com",    "company_mobile": "0412 345 678",    "company_landline": "02 8181 1234",    "start_date": "2017-03-01T00:00:00+00:00",    "termination_date": null,    "teams": [      {        "id": "95df8139-479f-432e-b8f9-922352123e4a",        "name": "Group 1"      },      {        "id": "95df8139-479f-432e-b8f9-112352123e4a",        "name": "Group 2"      }    ],    "primary_cost_centre": {      "id": "95df8139-479f-432e-b8f9-922352d2fe4a",      "name": "Employment Hero"    },    "secondary_cost_centres": [],    "primary_manager": {      "id": "4a728243-8930-4a93-9bd8-a6843e7b59ec",      "name": "Jessica"    },    "secondary_manager": null,    "external_id": "external_id_123",    "status": "active",    "termination_summary": null,    "employment_type": "Full-time",    "typical_work_day": "7.6",    "roster": "Annual",    "trial_or_probation_type": "probation_period",    "trial_length": 30,    "probation_length": 3,    "global_teams_start_date": "01/01/2025",    "global_teams_probation_end_date": "01/03/2025",    "independent_contractor": false,    "trading_name": "Emma Frost Consulting",    "abn": "12345678901",    "business_detail": {      "country": "AU",      "number": "BN-987654",      "business_type": "sole_trader"    },    "uk_tax_and_national_insurance": {      "id": "uk-tni-1",      "unique_taxpayer_reference": "1234567890",      "national_insurance_number": "QQ123456C"    },    "email": "daniel@thinkei.com",    "full_legal_name": "Daniel Tuan Tran",    "legal_name": "Tran Tuan Daniel",    "full_name": "Daniel Tran",    "pronouns": "she/her",    "display_mobile_in_staff_directory": true,    "aboriginal_torres_strait_islander": false,    "previous_surname": "Tran",    "biography": "Graduate developer passionate about clean code and football.",    "instapay_referral_opted_out": false,    "work_country": "AU",    "payroll_type": "KeyPay",    "time_zone": "Australia/Sydney",    "nationality": "AU",    "residential_address": {      "address_type": "residential",      "line_1": "Test Street 184752",      "line_2": "Apt 8B",      "line_3": null,      "block_number": "184",      "level_number": "8",      "unit_number": "B",      "city": "SYDNEY",      "postcode": "2000",      "state": "NSW",      "suburb": "Barangaroo",      "country": "AU",      "is_residential": true,      "street_name": "Test Street",      "is_manually_entered": false    },    "postal_address": {      "address_type": "postal",      "line_1": "PO Box 999",      "line_2": null,      "line_3": null,      "block_number": null,      "level_number": null,      "unit_number": null,      "city": "SYDNEY",      "postcode": "2001",      "state": "NSW",      "suburb": "Barangaroo",      "country": "AU",      "is_residential": false,      "street_name": "PO Box",      "is_manually_entered": false    }  }}

Contractor-only fields

{  "data": {    "trading_name": "Emma Frost Consulting",    "abn": "12345678901",    "business_detail": {      "country": "AU",      "number": "BN-987654",      "business_type": "sole_trader"    },    "uk_tax_and_national_insurance": {      "id": "uk-tni-1",      "unique_taxpayer_reference": "1234567890",      "national_insurance_number": "QQ123456C"    }  }}

This endpoint creates a new employee record with minimal required information for quick onboarding. This is a streamlined version of employee creation that requires only essential details to get an employee started in the system.

POST
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/quick_add_employee

Path Parameters

organisation_iduuidrequired

The ID of the organisation

Request Body

employing_entity_iduuidrequired

The ID of the employing entity. Must be a valid employing entity within the organisation.

first_namestringrequired

Employee's first name. Cannot be blank.

last_namestringrequired

Employee's last name. Cannot be blank.

full_legal_namestring
🇲🇾 MY
🇸🇬 SG

Employee's full legal name as it appears on official documents.

emailstringrequired

Employee's email address. Must be a valid email format and unique within the organisation.

date_of_birthstringrequired

Employee's date of birth in YYYY-MM-DD format.

work_locationobjectrequired

Work location details

Response Body

Returns a success message with the newly created employee's ID. The employee record is created with the provided information and can be further updated using other employee endpoints.

Note: An invite email will be sent to the newly added employee.

dataobject
messagestring

Success message

employee_iduuid

The ID of the newly created employee

Example

curl -X POST \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/quick_add_employee" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "employing_entity_id": "3a41ab5f-fd18-4c99-b475-040a098dac89",    "first_name": "First Name",    "last_name": "Last Name",    "full_legal_name": "Full Legal Name",    "email": "dev@example.com",    "date_of_birth": "1995-01-01",    "work_location": {      "id": "b992fc49-7e98-4743-b53b-51bec9cf4dc3",      "name": "Sydney Office",      "country": "AU"    }  }'

Response

{  "data": {    "message": "Employee file successfully created.",    "employee_id": "60b3a532-8c18-4ed6-bd01-2aa3b29ad24b"  }}

This endpoint creates a new contractor record with minimal required information for quick onboarding. This is specifically designed for independent contractors and includes business registration details required for contractor management.

POST
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/quick_add_contractor

Path Parameters

organisation_iduuidrequired

The ID of the organisation

Request Body

trading_namestringrequired

Trading name of the contractor's business. Cannot be blank.

first_namestringrequired

Contractor's first name. Cannot be blank.

last_namestringrequired

Contractor's last name. Cannot be blank.

full_legal_namestringrequired
🇲🇾 MY
🇸🇬 SG

Contractor's full legal name as it appears on official documents.

emailstringrequired

Contractor's email address. Must be a valid email format and unique within the organisation.

date_of_birthstringrequired

Contractor's date of birth in YYYY-MM-DD format.

business_detailobject

Business registration details for the contractor.

Response Body

Returns a success message with the newly created contractor's ID. The contractor record is created with the provided information and can be further updated using other employee endpoints.

Note: An invite email will be sent to the newly added employee.

dataobject
messagestring

Success message

contractor_iduuid

The ID of the newly created contractor

Example

curl -X POST \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/quick_add_contractor" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "trading_name": "Trading name of business",    "first_name": "John",    "last_name": "Contractor",    "full_legal_name": "John Contractor",    "email": "john.contractor@example.com",    "date_of_birth": "1990-01-01",    "business_detail": {      "country": "AU",      "number": "ABN123456789",      "business_type": "Company"    }  }'

Response

{  "data": {    "message": "Employee file successfully created.",    "contractor_id": "60b3a532-8c18-4ed6-bd01-2aa3b29ad24b"  }}

This endpoint initiates a comprehensive employee onboarding process using a polling-based approach. This endpoint creates the employee record and starts the onboarding workflow asynchronously, allowing for more complex processing and validation.

The required employee fields depend on the employee's country. This is determined primarily by the provided work_location fields. If the work_location fields are excluded, your organisation's country is used.

POST
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/polling_onboard_employee

Path Parameters

organisation_iduuidrequired

The ID of the organisation

Request Body

user_attributesobjectrequired

User account attributes for the employee

employment_detailobject

Employment configuration details

first_namestringrequired

Employee first name

last_namestringrequired

Employee last name

full_legal_namestringrequired
🇲🇾 MY
🇸🇬 SG

Employee full legal name as it appears on official documents.

employing_entity_iduuid

ID of the employing entity

employment_typeenum<string>required

Type of employment

date_of_birthstring

Date of birth in YYYY-MM-DD format

start_datestringrequired

Start date in YYYY-MM-DD format

anniversary_datestring

Anniversary Date in YYYY-MM-DD format

job_titlestringrequired

Employee job title

industry_standard_job_titlestring

Industry standard job title

current_salary_version_currencystringrequired

Currency for salary (e.g., AUD, NZD, GBP, CAD, SGD, MYR)

salarynumberrequired

Employee salary amount

rosterenum<string>required

Salary roster period

probation_lengthnumber

Length of probation period

primary_manager_iduuid

ID of the primary manager

secondary_manager_iduuid

ID of the secondary manager

work_locationobject

Employee work location details

teamsuuid[]

Array of team IDs the employee belongs to. Required for Singapore.

Note

This field corresponds to 'Groups' in the Employment Hero UI.

cost_centre_iduuid

Primary cost centre ID

secondary_cost_centres_liststring

Secondary cost centres (comma-separated IDs)

sync_with_payrollboolean

Whether to sync with payroll system

system_access_datestring

System access date in YYYY-MM-DD format

hours_per_weeknumber

Number of hours worked per week

typical_work_daynumber

Typical work day duration

full_time_equivalent_unitsnumber

Full-time equivalent units

days_per_weeknumber

Number of days worked per week

zero_hour_basedboolean

Zero hour based flag

clock_me_inboolean

Whether employee can clock in/out

annualised_salaryboolean

Whether salary is annualised

timesheet_sync_optionenum<string>

Timesheet synchronization option

leave_allowance_template_iduuid

ID of the leave allowance template

automatically_pay_employeeboolean

Whether to automatically pay the employee

employee_portal_access_enabledboolean

Whether employee portal access is enabled

timesheet_typenumber

Type of timesheet

payroll_detailobject

Payroll detail information

contract_typeenum<string>
🇦🇺 AU
🇳🇿 NZ
🇬🇧 UK

Type of employment contract

end_datestring
🇦🇺 AU
🇳🇿 NZ
🇬🇧 UK

End date in YYYY-MM-DD format. Required when contract_type is Fixed term.

superannuation_amountnumber
🇦🇺 AU

Superannuation contribution amount

award_iduuid
🇦🇺 AU

UUID of the award to assign to the employee. Must be provided together with classification_id. Use Get Awards and Classifications to retrieve valid values.

classification_iduuid
🇦🇺 AU

UUID of the classification to assign. Must be provided together with award_id. The classification must belong to the specified award.

override_template_rateboolean
🇦🇺 AU

When true, the provided salary overrides the rate defined in the award template. Only applicable when award_id and classification_id are set.

trigger_onboarding_checklistsboolean
🇦🇺 AU
🇳🇿 NZ
🇬🇧 UK

Whether to trigger onboarding checklists

vacation_pay_percentagenumberrequired
🇨🇦 CA

Vacation pay percentage (0.01 to 100.00)

vacation_pay_methodstringrequired
🇨🇦 CA

Vacation pay method

employee_paid_irregularlyboolean
🇬🇧 UK

Whether the employee is paid irregularly

apply_rolled_up_holiday_payboolean
🇬🇧 UK

Whether to apply rolled up holiday pay

rolled_up_holiday_pay_percentagenumber
🇬🇧 UK

Rolled up holiday pay percentage (0.0 to 100.0)

apprenticeenum<string>
🇬🇧 UK

Apprentice status

nwm_nlw_eligibilityenum<string>
🇬🇧 UK

NWM (National Wage Minimum) / NLW (National Living Wage) eligibility

codestring
🇲🇾 MY
🇸🇬 SG
🇬🇧 UK

Employee code

pay_category_iduuid
🇬🇧 UK
🇨🇦 CA

Pay category ID. Required for Canada. Optional for United Kingdom.

pay_schedule_iduuid
🇬🇧 UK
🇨🇦 CA

Pay schedule ID. Required for Canada. Optional for United Kingdom.

kiwi_saver_attributesobjectrequired
🇳🇿 NZ

KiwiSaver attributes (New Zealand only).

my_nric_detailsobjectrequired
🇲🇾 MY

Malaysian NRIC details (Malaysia only)

nric_detailsobjectrequired
🇸🇬 SG

NRIC (National Registration Identity Card) details (Singapore only). Required for Singapore.

Response Body

Initiates the polling-based employee onboarding process. This endpoint creates a new employee record and starts the onboarding workflow with all the provided employment details.

Note: This is a polling-based onboarding process, meaning the actual onboarding completion will be processed asynchronously. You may need to use Polling Onboard Result to track the completion of the onboarding process.

dataobject
messagestring

Success message

polling_keystring

Polling key to track the onboarding process status

Example

curl -X POST \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/polling_onboard_employee" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "user_attributes": {      "email": "employee@example.com"    },    "first_name": "John",    "last_name": "Doe",    "full_legal_name": "Johnathan Doe",    "employing_entity_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",    "employment_type": "Full-time",    "date_of_birth": "1990-01-15",    "start_date": "2025-07-02",    "anniversary_date": "2026-07-02",    "job_title": "3D Artist",    "industry_standard_job_title": "3D Visual Artist",    "current_salary_version_currency": "AUD",    "salary": 1000000,    "roster": "Annum",    "probation_length": 3,    "primary_manager_id": "b1b2c3d4-e5f6-7890-abcd-ef1234567890",    "secondary_manager_id": "c1b2c3d4-e5f6-7890-abcd-ef1234567890",    "employment_detail": {      "remote": "no",      "province_of_employment": "Ontario",      "confirmed_date": "2025-06-15"    },    "work_location": {      "id": "b992fc49-7e98-4743-b53b-51bec9cf4dc3",      "name": "Sydney",      "country": "AU"    },    "teams": [      "d1b2c3d4-e5f6-7890-abcd-ef1234567890"    ],    "cost_centre_id": "f1b2c3d4-e5f6-7890-abcd-ef1234567890",    "secondary_cost_centres_list": "g1b2c3d4-e5f6-7890-abcd-ef1234567890,h1b2c3d4-e5f6-7890-abcd-ef1234567890",    "sync_with_payroll": true,    "system_access_date": "2025-07-02",    "hours_per_week": 40,    "typical_work_day": 8,    "full_time_equivalent_units": 1,    "days_per_week": 5,    "zero_hour_based": false,    "clock_me_in": false,    "annualised_salary": false,    "timesheet_sync_option": "sync_timesheets_as_exceptions",    "leave_allowance_template_id": "i1b2c3d4-e5f6-7890-abcd-ef1234567890",    "automatically_pay_employee": false,    "employee_portal_access_enabled": true,    "timesheet_type": 1,    "payroll_detail": {      "stp_income_type": "salary_and_wages"    },    "contract_type": "Permanent",    "end_date": "2026-12-31",    "superannuation_amount": 3,    "trigger_onboarding_checklists": true,    "vacation_pay_percentage": 4,    "vacation_pay_method": "bankAccruedVacationPay",    "employee_paid_irregularly": false,    "apply_rolled_up_holiday_pay": false,    "rolled_up_holiday_pay_percentage": 12,    "apprentice": "not_an_apprentice",    "nwm_nlw_eligibility": "eligible_for_nwm",    "code": "EMP001",    "pay_category_id": "j1b2c3d4-e5f6-7890-abcd-ef1234567890",    "pay_schedule_id": "k1b2c3d4-e5f6-7890-abcd-ef1234567890",    "kiwi_saver_attributes": {      "employer_enrollment_status": "automatically_enroll",      "employer_contribution": 3    },    "my_nric_details": {      "residence_type": "malaysian",      "residence_status": true,      "worker_status": "normal",      "income_tax_number": "IT12345678",      "religion": "Buddhist",      "ethnicity": "Chinese",      "dependent_children": 2,      "pcb_tax_borne": false,      "employee_epf_rate": "11",      "socso_type": "employment_injury_and_invalidity_scheme",      "eis_exempt": false,      "epf_number": "EPF123456789",      "identity_card_number": "123456789012",      "passport_number": "A12345678",      "passport_issuing_country": "MY",      "passport_expiry_date": "2030-12-31",      "work_pass_type": "employment_pass",      "ssfw_number": "SSFW123456",      "epf_contribution_type": "member_after_august_1998"    },    "nric_details": {      "legal_status": "citizen",      "nric_fin_number": "S1234567A",      "nric_fin_type": "nric",      "obtained_residency_date": "2010-01-01",      "cpf_contribution_option": "graduated",      "obtained_approval_date": "2010-01-01",      "expiry_date": "2030-12-31",      "nationality": "Singaporean",      "ethnicity": "Chinese",      "religion": "Buddhist",      "covered_by_employment_act": "yes",      "employee_group": "executive",      "is_exempt_from_skills_dev_levy": false,      "is_exempt_from_cpf": false    }  }'

Response

{  "data": {    "message": "Onboarding started",    "polling_key": "job:onb:wKdLkkPvQey8"  }}

This endpoint allows you to check the status of an employee onboarding process that was initiated using the Polling Onboard Employee endpoint.

After initiating the onboarding process, you will receive a polling_key in the response. Use this key to poll this endpoint until the onboarding process completes (either successfully or with errors).

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/onboard/polling_status?polling_key={polling_key}

Path Parameters

organisation_iduuidrequired

The ID of the organisation

Query Parameters

polling_keystringrequired

Polling key returned from the Polling Onboard Employee endpoint

Response Body

Returns the status of the employee onboarding process. Polling: You should poll this endpoint periodically until the status is either success or failed. The polling interval is at your discretion, but we recommend checking every few seconds.

dataobject
statusenum<string>

Status of the onboarding process

errorsobject[]

Array of error objects if status is failed, null in the case of success

member_iduuid

ID of the onboarded employee if status is success, null otherwise

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/onboard/polling_status?polling_key={polling_key}" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "status": "success",    "errors": [],    "member_id": "b420ee26-41fe-4426-bf00-1cd5dfbefc7e"  }}

This endpoint updates the personal details for a specific employee. Personal detail fields can be partially updated - fields excluded from the request body will not be affected.

PATCH
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/personal_details

Path Parameters

organisation_iduuidrequired

The ID of the organisation

employee_iduuidrequired

The ID of the employee to update

Request Body

titleenum<string>

Employee's title.

first_namestring

Employee's first name

middle_namestring

Employee's middle name

last_namestring

Employee's last name

known_asstring

Preferred name or nickname

genderenum<string>

Employee's gender.

pronounsenum<string>

Employee's preferred pronouns.

address_attributesobject

Address information object

nationalitystring

Employee's nationality

date_of_birthstring

Date of birth in YYYY-MM-DD format

marital_statusenum<string>

Marital status.

personal_emailstring

Personal email address

personal_mobile_numberstring

Personal mobile phone number

home_phonestring

Home phone number

display_mobile_in_staff_directoryboolean

Whether to display mobile number in staff directory

full_legal_namestring
🇲🇾 MY
🇸🇬 SG

Complete legal name

biographystring

Employee biography or description

Response Body

Returns the updated employee object with all employment details. The response includes the complete employee record with updated employment information.

dataobject
iduuid

Unique identifier for the object.

account_emailstring

The account name of employee

titlestring

The title of employee

rolestring

The role of employee

first_namestring

The first name of employee

last_namestring

The last name of employee

middle_namestring

The middle name of employee

addressstring

The address of employee

avatar_urlstring

The avatar url of employee

known_asstring

The preferred name of the employee

job_titlestring

The job title of the employee

genderstring

The gender of the employee

countrystring

The country of the employee

date_of_birthdatetime

The date of birth of employee

marital_statusstring

The marital status of employee

personal_emailstring

The personal email of employee

personal_mobile_numberstring

The personal mobile number of employee

home_phonestring

The home phone of employee

employing_entitystring

The employing entity of employee

codestring

The code of employee

locationstring

The location of employee

company_emailstring

The company email of employee

company_mobilestring

The company mobile of employee

company_landlinestring

The company landline of employee

start_datedatetime

The start date of employee

termination_datedatetime

The termination day of employee

teamsobject[]

The teams of employee

Note

This field corresponds to 'Groups' in the Employment Hero UI.

primary_cost_centreobject

The primary cost centre of employee

secondary_cost_centresobject[]

The secondary cost centre of employee

primary_managerobject

The primary manager of employee

secondary_managerobject

The secondary manager of employee

external_idstring

The external id of employee (ID of payroll system)

statusenum<string>

The status of employee

termination_summarystring

The detailed termination summary of a terminated employee, including reason, date, and actioning user

employment_typestring

The employment type of employee. Valid types depend on the employee's region. Common values: Full-time, Part-time, Casual

typical_work_daystring

Typical hours worked per day.

rosterstring

Work-hours roster type.

trial_or_probation_typestring

The trial or probation period type of employee. Supported values are trial_period and probation_period

trial_lengthnumber

The trial period length in days of employee when trial_or_probation_type is trial_period

probation_lengthnumber

The probation period length in months of an employee when trial_or_probation_type is probation_period

global_teams_start_datestring

The start date of the Global Teams employee

global_teams_probation_end_datestring

The probation end date of the Global Teams employee

independent_contractorboolean

Indicates if the member is an independent contractor

trading_namestring
Contractor

Contractor trading name

abnstring
Contractor

Australian Business Number of the contractor

business_detailobject
Contractor

Contractor business registration details

uk_tax_and_national_insuranceobject
Contractor
🇬🇧 UK

UK–specific tax and national-insurance information

emailstring

Primary email address of the employee (alias of account_email).

full_legal_namestring
🇲🇾 MY
🇸🇬 SG

Employee's complete registered legal name.

legal_namestring
🇲🇾 MY
🇸🇬 SG

Registered (legal) name of the employee, excluding preferred or known-as names.

full_namestring

Convenience field that concatenates first, middle and last name.

pronounsstring

Employee-provided pronouns (e.g. she/her, they/them).

display_mobile_in_staff_directoryboolean

Whether the employee's mobile number is visible in the staff directory.

aboriginal_torres_strait_islanderboolean
🇦🇺 AU

Identifies as Aboriginal and/or Torres Strait Islander.

previous_surnamestring
🇳🇿 NZ

The previous family name of the employee.

biographystring

Short bio or "about me" text shown in company directory.

instapay_referral_opted_outboolean

Indicates the employee has opted out of Instapay referral communications.

work_countrystring

Country in which the employee primarily works.

payroll_typestring

Payroll engine / product the employee belongs to (e.g. KeyPay, Xero, Global Teams).

time_zonestring

IANA time-zone identifier for the employee (e.g. Asia/Singapore).

nationalitystring

Nationality of the employee (ISO-3166 alpha-2 code).

residential_addressobject
🇳🇿 NZ

Residential address of the employee

postal_addressobject
🇳🇿 NZ

Postal address of the employee

Example

curl -X PATCH \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/personal_details" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "title": "Mr",    "first_name": "John",    "middle_name": "Michael",    "last_name": "Smith",    "known_as": "Johnny",    "gender": "Male",    "pronouns": "He/Him",    "address_attributes": {      "country": "AU",      "line_1": "123 Main Street",      "line_2": "Apt 4B",      "line_3": "Building C",      "suburb": "Sydney",      "city": "Sydney",      "state": "NSW2",      "postcode": "20002",      "block_number": "1232",      "unit_number": "4B2",      "level_number": "22",      "street_name": "Main Street",      "address_type": "Residential"    },    "nationality": "Australian",    "date_of_birth": "1990-01-15",    "marital_status": "In a Relationship",    "personal_email": "example@example.com",    "personal_mobile_number": "+614123456789",    "home_phone": "+614123456789",    "display_mobile_in_staff_directory": true,    "full_legal_name": "John Michael Smith",    "biography": "Experienced software engineer with 10+ years in web development."  }'

Response

{  "data": {    "id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1",    "account_email": "daniel@thinkei.com",    "title": "Ms",    "role": "owner",    "first_name": "Daniel",    "last_name": "Tran",    "middle_name": "Tuan",    "address": "Test Street 184752, Apt 8B, Sydney, NSW, 2000, AU",    "avatar_url": "http://avatar.png",    "known_as": "Danny",    "job_title": "Grad Developer",    "gender": "Female",    "country": "AU",    "date_of_birth": "1995-02-13T00:00:00+00:00",    "marital_status": "Single",    "personal_email": "abc@thinkei.com",    "personal_mobile_number": "01285659993",    "home_phone": "02 9123 4567",    "employing_entity": "US",    "code": "EMP123",    "location": null,    "company_email": "abc@thinkei.com",    "company_mobile": "0412 345 678",    "company_landline": "02 8181 1234",    "start_date": "2017-03-01T00:00:00+00:00",    "termination_date": null,    "teams": [      {        "id": "95df8139-479f-432e-b8f9-922352123e4a",        "name": "Group 1"      },      {        "id": "95df8139-479f-432e-b8f9-112352123e4a",        "name": "Group 2"      }    ],    "primary_cost_centre": {      "id": "95df8139-479f-432e-b8f9-922352d2fe4a",      "name": "Employment Hero"    },    "secondary_cost_centres": [],    "primary_manager": {      "id": "4a728243-8930-4a93-9bd8-a6843e7b59ec",      "name": "Jessica"    },    "secondary_manager": null,    "external_id": "external_id_123",    "status": "active",    "termination_summary": null,    "employment_type": "Full-time",    "typical_work_day": "7.6",    "roster": "Annual",    "trial_or_probation_type": "probation_period",    "trial_length": 30,    "probation_length": 3,    "global_teams_start_date": "01/01/2025",    "global_teams_probation_end_date": "01/03/2025",    "independent_contractor": false,    "trading_name": "Emma Frost Consulting",    "abn": "12345678901",    "business_detail": {      "country": "AU",      "number": "BN-987654",      "business_type": "sole_trader"    },    "uk_tax_and_national_insurance": {      "id": "uk-tni-1",      "unique_taxpayer_reference": "1234567890",      "national_insurance_number": "QQ123456C"    },    "email": "daniel@thinkei.com",    "full_legal_name": "Daniel Tuan Tran",    "legal_name": "Tran Tuan Daniel",    "full_name": "Daniel Tran",    "pronouns": "she/her",    "display_mobile_in_staff_directory": true,    "aboriginal_torres_strait_islander": false,    "previous_surname": "Tran",    "biography": "Graduate developer passionate about clean code and football.",    "instapay_referral_opted_out": false,    "work_country": "AU",    "payroll_type": "KeyPay",    "time_zone": "Australia/Sydney",    "nationality": "AU",    "residential_address": {      "address_type": "residential",      "line_1": "Test Street 184752",      "line_2": "Apt 8B",      "line_3": null,      "block_number": "184",      "level_number": "8",      "unit_number": "B",      "city": "SYDNEY",      "postcode": "2000",      "state": "NSW",      "suburb": "Barangaroo",      "country": "AU",      "is_residential": true,      "street_name": "Test Street",      "is_manually_entered": false    },    "postal_address": {      "address_type": "postal",      "line_1": "PO Box 999",      "line_2": null,      "line_3": null,      "block_number": null,      "level_number": null,      "unit_number": null,      "city": "SYDNEY",      "postcode": "2001",      "state": "NSW",      "suburb": "Barangaroo",      "country": "AU",      "is_residential": false,      "street_name": "PO Box",      "is_manually_entered": false    }  }}

This endpoint updates the employment details for a specific employee. Employment detail fields can be partially updated - fields excluded from the request body will not be affected.

PATCH
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/employment_details

Path Parameters

organisation_iduuidrequired

The ID of the organisation

employee_iduuidrequired

The ID of the employee to update

Request Body

codestring

Employee code/identifier

cost_centre_iduuid

Primary cost centre ID

additional_cost_centre_idsobject[]

Array of additional cost centre IDs

primary_manager_iduuid

Primary manager ID (updated asynchronously)

secondary_manager_iduuid

Secondary manager ID (updated asynchronously)

team_idsobject[]

Array of team IDs

Note

This field corresponds to 'Groups' in the Employment Hero UI.

probation_lengthnumber

Probation period length in months

company_emailstring

Company email address

company_mobilestring

Company mobile number

company_landlinestring

Company landline number

start_datestring

Employment start date (YYYY-MM-DD format)

system_access_datestring

System access start date (YYYY-MM-DD format)

Response Body

Returns the updated employee object with all employment details. The response includes the complete employee record with updated employment information.

Note: primary_manager_id and secondary_manager_id updates are processed asynchronously via background jobs. The updated manager information will not be immediately available in the response and may take a few moments to reflect in subsequent API calls.

dataobject
iduuid

Unique identifier for the object.

account_emailstring

The account name of employee

titlestring

The title of employee

rolestring

The role of employee

first_namestring

The first name of employee

last_namestring

The last name of employee

middle_namestring

The middle name of employee

addressstring

The address of employee

avatar_urlstring

The avatar url of employee

known_asstring

The preferred name of the employee

job_titlestring

The job title of the employee

genderstring

The gender of the employee

countrystring

The country of the employee

date_of_birthdatetime

The date of birth of employee

marital_statusstring

The marital status of employee

personal_emailstring

The personal email of employee

personal_mobile_numberstring

The personal mobile number of employee

home_phonestring

The home phone of employee

employing_entitystring

The employing entity of employee

codestring

The code of employee

locationstring

The location of employee

company_emailstring

The company email of employee

company_mobilestring

The company mobile of employee

company_landlinestring

The company landline of employee

start_datedatetime

The start date of employee

termination_datedatetime

The termination day of employee

teamsobject[]

The teams of employee

Note

This field corresponds to 'Groups' in the Employment Hero UI.

primary_cost_centreobject

The primary cost centre of employee

secondary_cost_centresobject[]

The secondary cost centre of employee

primary_managerobject

The primary manager of employee

secondary_managerobject

The secondary manager of employee

external_idstring

The external id of employee (ID of payroll system)

statusenum<string>

The status of employee

termination_summarystring

The detailed termination summary of a terminated employee, including reason, date, and actioning user

employment_typestring

The employment type of employee. Valid types depend on the employee's region. Common values: Full-time, Part-time, Casual

typical_work_daystring

Typical hours worked per day.

rosterstring

Work-hours roster type.

trial_or_probation_typestring

The trial or probation period type of employee. Supported values are trial_period and probation_period

trial_lengthnumber

The trial period length in days of employee when trial_or_probation_type is trial_period

probation_lengthnumber

The probation period length in months of an employee when trial_or_probation_type is probation_period

global_teams_start_datestring

The start date of the Global Teams employee

global_teams_probation_end_datestring

The probation end date of the Global Teams employee

independent_contractorboolean

Indicates if the member is an independent contractor

trading_namestring
Contractor

Contractor trading name

abnstring
Contractor

Australian Business Number of the contractor

business_detailobject
Contractor

Contractor business registration details

uk_tax_and_national_insuranceobject
Contractor
🇬🇧 UK

UK–specific tax and national-insurance information

emailstring

Primary email address of the employee (alias of account_email).

full_legal_namestring
🇲🇾 MY
🇸🇬 SG

Employee's complete registered legal name.

legal_namestring
🇲🇾 MY
🇸🇬 SG

Registered (legal) name of the employee, excluding preferred or known-as names.

full_namestring

Convenience field that concatenates first, middle and last name.

pronounsstring

Employee-provided pronouns (e.g. she/her, they/them).

display_mobile_in_staff_directoryboolean

Whether the employee's mobile number is visible in the staff directory.

aboriginal_torres_strait_islanderboolean
🇦🇺 AU

Identifies as Aboriginal and/or Torres Strait Islander.

previous_surnamestring
🇳🇿 NZ

The previous family name of the employee.

biographystring

Short bio or "about me" text shown in company directory.

instapay_referral_opted_outboolean

Indicates the employee has opted out of Instapay referral communications.

work_countrystring

Country in which the employee primarily works.

payroll_typestring

Payroll engine / product the employee belongs to (e.g. KeyPay, Xero, Global Teams).

time_zonestring

IANA time-zone identifier for the employee (e.g. Asia/Singapore).

nationalitystring

Nationality of the employee (ISO-3166 alpha-2 code).

residential_addressobject
🇳🇿 NZ

Residential address of the employee

postal_addressobject
🇳🇿 NZ

Postal address of the employee

Example

curl -X PATCH \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/employment_details" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "code": "code",    "cost_centre_id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1",    "additional_cost_centre_ids": [      {        "id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1"      },      {        "id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1"      }    ],    "primary_manager_id": "primary_manager_id",    "secondary_manager_id": "secondary_manager_id",    "team_ids": [],    "probation_length": 20.5,    "company_email": "my.company@email.com",    "company_mobile": "012345678",    "company_landline": "087654321",    "start_date": "2025-01-01",    "system_access_date": "2025-01-02"  }'

Response

{  "data": {    "id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1",    "account_email": "daniel@thinkei.com",    "title": "Ms",    "role": "owner",    "first_name": "Daniel",    "last_name": "Tran",    "middle_name": "Tuan",    "address": "Test Street 184752, Apt 8B, Sydney, NSW, 2000, AU",    "avatar_url": "http://avatar.png",    "known_as": "Danny",    "job_title": "Grad Developer",    "gender": "Female",    "country": "AU",    "date_of_birth": "1995-02-13T00:00:00+00:00",    "marital_status": "Single",    "personal_email": "abc@thinkei.com",    "personal_mobile_number": "01285659993",    "home_phone": "02 9123 4567",    "employing_entity": "US",    "code": "EMP123",    "location": null,    "company_email": "abc@thinkei.com",    "company_mobile": "0412 345 678",    "company_landline": "02 8181 1234",    "start_date": "2017-03-01T00:00:00+00:00",    "termination_date": null,    "teams": [      {        "id": "95df8139-479f-432e-b8f9-922352123e4a",        "name": "Group 1"      },      {        "id": "95df8139-479f-432e-b8f9-112352123e4a",        "name": "Group 2"      }    ],    "primary_cost_centre": {      "id": "95df8139-479f-432e-b8f9-922352d2fe4a",      "name": "Employment Hero"    },    "secondary_cost_centres": [],    "primary_manager": {      "id": "4a728243-8930-4a93-9bd8-a6843e7b59ec",      "name": "Jessica"    },    "secondary_manager": null,    "external_id": "external_id_123",    "status": "active",    "termination_summary": null,    "employment_type": "Full-time",    "typical_work_day": "7.6",    "roster": "Annual",    "trial_or_probation_type": "probation_period",    "trial_length": 30,    "probation_length": 3,    "global_teams_start_date": "01/01/2025",    "global_teams_probation_end_date": "01/03/2025",    "independent_contractor": false,    "trading_name": "Emma Frost Consulting",    "abn": "12345678901",    "business_detail": {      "country": "AU",      "number": "BN-987654",      "business_type": "sole_trader"    },    "uk_tax_and_national_insurance": {      "id": "uk-tni-1",      "unique_taxpayer_reference": "1234567890",      "national_insurance_number": "QQ123456C"    },    "email": "daniel@thinkei.com",    "full_legal_name": "Daniel Tuan Tran",    "legal_name": "Tran Tuan Daniel",    "full_name": "Daniel Tran",    "pronouns": "she/her",    "display_mobile_in_staff_directory": true,    "aboriginal_torres_strait_islander": false,    "previous_surname": "Tran",    "biography": "Graduate developer passionate about clean code and football.",    "instapay_referral_opted_out": false,    "work_country": "AU",    "payroll_type": "KeyPay",    "time_zone": "Australia/Sydney",    "nationality": "AU",    "residential_address": {      "address_type": "residential",      "line_1": "Test Street 184752",      "line_2": "Apt 8B",      "line_3": null,      "block_number": "184",      "level_number": "8",      "unit_number": "B",      "city": "SYDNEY",      "postcode": "2000",      "state": "NSW",      "suburb": "Barangaroo",      "country": "AU",      "is_residential": true,      "street_name": "Test Street",      "is_manually_entered": false    },    "postal_address": {      "address_type": "postal",      "line_1": "PO Box 999",      "line_2": null,      "line_3": null,      "block_number": null,      "level_number": null,      "unit_number": null,      "city": "SYDNEY",      "postcode": "2001",      "state": "NSW",      "suburb": "Barangaroo",      "country": "AU",      "is_residential": false,      "street_name": "PO Box",      "is_manually_entered": false    }  }}

This endpoint updates contractor-specific details for an employee who is flagged as an independent contractor (independent_contractor = true). Fields omitted from the request body will be left unchanged.

PATCH
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/contractor_details

Path Parameters

organisation_iduuidrequired

The ID of the organisation

employee_iduuidrequired

The ID of the contractor to update

Request Body

trading_namestring

Contractor trading name. Required when provided but cannot be blank.

abnstring

Australian Business Number. Must be a valid 11-digit ABN.

business_detailobject

Business registration details

Response Body

Returns the updated contractor details merged into the full employee object.

Note: When you supply or update the abn field, the system will automatically set business_detail.country to AU. For contractors outside Australia, leave abn blank and instead update business_detail.number (plus business_detail.country) with the appropriate local business identifier.

dataobject
iduuid

Unique identifier for the object.

account_emailstring

The account name of employee

titlestring

The title of employee

rolestring

The role of employee

first_namestring

The first name of employee

last_namestring

The last name of employee

middle_namestring

The middle name of employee

addressstring

The address of employee

avatar_urlstring

The avatar url of employee

known_asstring

The preferred name of the employee

job_titlestring

The job title of the employee

genderstring

The gender of the employee

countrystring

The country of the employee

date_of_birthdatetime

The date of birth of employee

marital_statusstring

The marital status of employee

personal_emailstring

The personal email of employee

personal_mobile_numberstring

The personal mobile number of employee

home_phonestring

The home phone of employee

employing_entitystring

The employing entity of employee

codestring

The code of employee

locationstring

The location of employee

company_emailstring

The company email of employee

company_mobilestring

The company mobile of employee

company_landlinestring

The company landline of employee

start_datedatetime

The start date of employee

termination_datedatetime

The termination day of employee

teamsobject[]

The teams of employee

Note

This field corresponds to 'Groups' in the Employment Hero UI.

primary_cost_centreobject

The primary cost centre of employee

secondary_cost_centresobject[]

The secondary cost centre of employee

primary_managerobject

The primary manager of employee

secondary_managerobject

The secondary manager of employee

external_idstring

The external id of employee (ID of payroll system)

statusenum<string>

The status of employee

termination_summarystring

The detailed termination summary of a terminated employee, including reason, date, and actioning user

employment_typestring

The employment type of employee. Valid types depend on the employee's region. Common values: Full-time, Part-time, Casual

typical_work_daystring

Typical hours worked per day.

rosterstring

Work-hours roster type.

trial_or_probation_typestring

The trial or probation period type of employee. Supported values are trial_period and probation_period

trial_lengthnumber

The trial period length in days of employee when trial_or_probation_type is trial_period

probation_lengthnumber

The probation period length in months of an employee when trial_or_probation_type is probation_period

global_teams_start_datestring

The start date of the Global Teams employee

global_teams_probation_end_datestring

The probation end date of the Global Teams employee

independent_contractorboolean

Indicates if the member is an independent contractor

trading_namestring
Contractor

Contractor trading name

abnstring
Contractor

Australian Business Number of the contractor

business_detailobject
Contractor

Contractor business registration details

uk_tax_and_national_insuranceobject
Contractor
🇬🇧 UK

UK–specific tax and national-insurance information

emailstring

Primary email address of the employee (alias of account_email).

full_legal_namestring
🇲🇾 MY
🇸🇬 SG

Employee's complete registered legal name.

legal_namestring
🇲🇾 MY
🇸🇬 SG

Registered (legal) name of the employee, excluding preferred or known-as names.

full_namestring

Convenience field that concatenates first, middle and last name.

pronounsstring

Employee-provided pronouns (e.g. she/her, they/them).

display_mobile_in_staff_directoryboolean

Whether the employee's mobile number is visible in the staff directory.

aboriginal_torres_strait_islanderboolean
🇦🇺 AU

Identifies as Aboriginal and/or Torres Strait Islander.

previous_surnamestring
🇳🇿 NZ

The previous family name of the employee.

biographystring

Short bio or "about me" text shown in company directory.

instapay_referral_opted_outboolean

Indicates the employee has opted out of Instapay referral communications.

work_countrystring

Country in which the employee primarily works.

payroll_typestring

Payroll engine / product the employee belongs to (e.g. KeyPay, Xero, Global Teams).

time_zonestring

IANA time-zone identifier for the employee (e.g. Asia/Singapore).

nationalitystring

Nationality of the employee (ISO-3166 alpha-2 code).

residential_addressobject
🇳🇿 NZ

Residential address of the employee

postal_addressobject
🇳🇿 NZ

Postal address of the employee

Example

curl -X PATCH \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/contractor_details" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "trading_name": "Acme Consulting Pty Ltd",    "abn": "80112233445",    "business_detail": {      "country": "AU",      "number": "ACN987654321",      "business_type": "sole_trader"    }  }'

Response

{  "data": {    "id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1",    "account_email": "daniel@thinkei.com",    "title": "Ms",    "role": "owner",    "first_name": "Daniel",    "last_name": "Tran",    "middle_name": "Tuan",    "address": "Test Street 184752, Apt 8B, Sydney, NSW, 2000, AU",    "avatar_url": "http://avatar.png",    "known_as": "Danny",    "job_title": "Grad Developer",    "gender": "Female",    "country": "AU",    "date_of_birth": "1995-02-13T00:00:00+00:00",    "marital_status": "Single",    "personal_email": "abc@thinkei.com",    "personal_mobile_number": "01285659993",    "home_phone": "02 9123 4567",    "employing_entity": "US",    "code": "EMP123",    "location": null,    "company_email": "abc@thinkei.com",    "company_mobile": "0412 345 678",    "company_landline": "02 8181 1234",    "start_date": "2017-03-01T00:00:00+00:00",    "termination_date": null,    "teams": [      {        "id": "95df8139-479f-432e-b8f9-922352123e4a",        "name": "Group 1"      },      {        "id": "95df8139-479f-432e-b8f9-112352123e4a",        "name": "Group 2"      }    ],    "primary_cost_centre": {      "id": "95df8139-479f-432e-b8f9-922352d2fe4a",      "name": "Employment Hero"    },    "secondary_cost_centres": [],    "primary_manager": {      "id": "4a728243-8930-4a93-9bd8-a6843e7b59ec",      "name": "Jessica"    },    "secondary_manager": null,    "external_id": "external_id_123",    "status": "active",    "termination_summary": null,    "employment_type": "Full-time",    "typical_work_day": "7.6",    "roster": "Annual",    "trial_or_probation_type": "probation_period",    "trial_length": 30,    "probation_length": 3,    "global_teams_start_date": "01/01/2025",    "global_teams_probation_end_date": "01/03/2025",    "independent_contractor": false,    "trading_name": "Emma Frost Consulting",    "abn": "12345678901",    "business_detail": {      "country": "AU",      "number": "BN-987654",      "business_type": "sole_trader"    },    "uk_tax_and_national_insurance": {      "id": "uk-tni-1",      "unique_taxpayer_reference": "1234567890",      "national_insurance_number": "QQ123456C"    },    "email": "daniel@thinkei.com",    "full_legal_name": "Daniel Tuan Tran",    "legal_name": "Tran Tuan Daniel",    "full_name": "Daniel Tran",    "pronouns": "she/her",    "display_mobile_in_staff_directory": true,    "aboriginal_torres_strait_islander": false,    "previous_surname": "Tran",    "biography": "Graduate developer passionate about clean code and football.",    "instapay_referral_opted_out": false,    "work_country": "AU",    "payroll_type": "KeyPay",    "time_zone": "Australia/Sydney",    "nationality": "AU",    "residential_address": {      "address_type": "residential",      "line_1": "Test Street 184752",      "line_2": "Apt 8B",      "line_3": null,      "block_number": "184",      "level_number": "8",      "unit_number": "B",      "city": "SYDNEY",      "postcode": "2000",      "state": "NSW",      "suburb": "Barangaroo",      "country": "AU",      "is_residential": true,      "street_name": "Test Street",      "is_manually_entered": false    },    "postal_address": {      "address_type": "postal",      "line_1": "PO Box 999",      "line_2": null,      "line_3": null,      "block_number": null,      "level_number": null,      "unit_number": null,      "city": "SYDNEY",      "postcode": "2001",      "state": "NSW",      "suburb": "Barangaroo",      "country": "AU",      "is_residential": false,      "street_name": "PO Box",      "is_manually_entered": false    }  }}

This endpoints offboards (terminates) an employee.

PUT
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/offboard

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

Request Body

termination_datestring

Termination date in DD/MM/YYYY format

termination_typeenum<string>

Type of termination

termination_reasonstring

Reason of termination. Required if termination_type is resignation or termination.

termination_type Valid termination_reason values
resignation
  • relocation
  • further_education
  • better_rewards
  • health
  • career_advancement
  • career_change
  • travelling
  • family
  • other
termination
  • serious_misconduct
  • poor_performance
  • redundancy
  • incomplete_probation
  • work_eligibility
  • other
commentstring

Additional comments regarding the termination. Required if termination_reason is other than resignation or termination

remove_access_optionenum<string>

Option for removing system access

custom_remove_access_date_timestring

Custom date and time for removing system access in ISO 8601 format (e.g., 2025-09-28T18:00:00.000Z). Required if remove_access_option is Remove access at a custom date

Response Body

Returns the message confirming the offboarding of the employee.

dataobject
messagestring

Example

curl -X PUT \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/offboard" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ" \  -H "Content-Type: application/json" \  -d '{    "termination_date": "30/09/2025",    "termination_type": "resignation",    "termination_reason": "career_advancement",    "comment": "Moving to a new role",    "remove_access_option": "Remove access at a custom date",    "custom_remove_access_date_time": "2025-09-28T18:00:00.000Z"  }'

Response

{  "data": {    "message": "Offboard successful."  }}

This endpoint deletes a specific employee.

Warning

This endpoint deletes an employee from the system. This is irreversible, and the employee file will also be removed. Consider using the Offboard Employee API instead to maintain the employee record and safely offboard the employee.

DELETE
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

Response Body

Returns the message confirming the deletion of the employee.

dataobject
messagestring

Example

curl -X DELETE \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "message": "Deleted Daniel Tran successfully."  }}